Get environments for service
Server:
https://{kibana_url}
- GET /api/apm/settings/agent-configuration/environments
- GET /s/{space_id}/api/apm/settings/agent-configuration/environments
Refer to Spaces for more information.
Query Parameters
-
serviceNamestring The name of the service
Responses
Successful response
-
environmentsobject -
Service environment list
-
alreadyConfiguredboolean -
Already configured
-
namestring -
Service environment name
Bad Request response
-
errorstring -
Error type
-
messagestring -
Error message
-
statusCodenumber -
Error status code
Unauthorized response
-
errorstring -
Error type
-
messagestring -
Error message
-
statusCodenumber -
Error status code
Not found response
-
errorstring -
Error type
-
messagestring -
Error message
-
statusCodenumber -
Error status code